## Conversations

+ New conversation
{{ conv.messages[0].content }}
Conversations are saved to browser's localStorage
llama.cpp

{{ messages.length === 0 ? 'Send a message to start' : '' }}

### Settings

Settings below are saved in browser's localStorage

System Message
Other sampler settings
Penalties settings
Advanced config
Show tokens per second
Custom JSON config (For more info, refer to server documentation)